"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeStatsService = void 0;
const data_access_layer_1 = require("@jfrog-pipelines/data-access-layer");
const NodeStatsDao_1 = require("./NodeStatsDao");
class NodeStatsService {
    constructor() {
        this.nodeStatsDao = new NodeStatsDao_1.NodeStatsDao();
    }
    async deleteNodeStats(reportedBefore) {
        const query = new data_access_layer_1.SequelizeQueryBuilder({})
            .whereWithOperator('reportedAt', reportedBefore, data_access_layer_1.operatorsKey.$lt)
            .build();
        await this.nodeStatsDao.delete(query);
    }
}
exports.NodeStatsService = NodeStatsService;
//# sourceMappingURL=NodeStatsService.js.map