"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nodepoolRoutesV1 = void 0;
const NodeStatsApi_1 = require("../../modules/nodeStats/NodeStatsApi");
const NodeStatsSchema_1 = require("./schema/NodeStatsSchema");
const nodepoolRoutesV1 = () => {
    return (httpServer) => {
        httpServer.get('/nodes/:nodeId/stats', () => {
            return 'Hello, World';
        });
        httpServer.post('/node/:nodeId/stats', { schema: NodeStatsSchema_1.NodeStatsPost }, (request) => {
            const nodeStatsApi = new NodeStatsApi_1.NodeStatsQuery();
            const body = request.body;
            return nodeStatsApi.create(1, 1, body, 'user');
        });
    };
};
exports.nodepoolRoutesV1 = nodepoolRoutesV1;
//# sourceMappingURL=index.js.map