"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeStatsPost = void 0;
const types_1 = require("@jfrog-pipelines/types");
exports.NodeStatsPost = {
    tags: ['Stats'],
    description: 'Create a new node stats',
    body: types_1.NodeStatsRequestSchema,
    params: types_1.NodeIdParameters,
    response: {
        201: {
            description: 'The node stats was created',
            content: {
                'application/json': {
                    schema: types_1.NodeStatsResponseSchema
                }
            }
        }
    }
};
//# sourceMappingURL=NodeStatsSchema.js.map