"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiStepDataAdapter = void 0;
const configuration_1 = require("@jfrog-pipelines/configuration");
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
class ApiStepDataAdapter {
    constructor() {
        this.properties = configuration_1.ConfigFactory.config;
        this.client = new internal_clients_1.PipelinesClient(14, this.properties.apiToken);
    }
    async getBuildPlaneMessages(queryString) {
        return this.client.getBuildPlaneMessages(queryString);
    }
    async putBuildPlaneMessageById(messageId, message) {
        return this.client.putBuildPlaneMessageById(messageId, message);
    }
}
exports.ApiStepDataAdapter = ApiStepDataAdapter;
//# sourceMappingURL=ApiStepDataAdapter.js.map